"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.aliasingTheme = void 0;
const utils_1 = require("@vuepress/utils");
const utils_2 = require("./utils");
const aliasingTheme = ({ themePlugins = {}, ...localeOptions }) => {
    (0, utils_2.assignDefaultLocaleOptions)(localeOptions);
    return {
        name: '@vuepress/theme-default',
        layouts: utils_1.path.resolve(__dirname, '../client/layouts'),
        clientAppEnhanceFiles: utils_1.path.resolve(__dirname, '../client/clientAppEnhance.js'),
        clientAppSetupFiles: utils_1.path.resolve(__dirname, '../client/clientAppSetup.js'),
        // use the relative file path to generate edit link
        extendsPageData: ({ filePathRelative }) => ({ filePathRelative }),
        plugins: [
            [
                '@vuepress/active-header-links',
                (0, utils_2.resolveActiveHeaderLinksPluginOptions)(themePlugins),
            ],
            ['@vuepress/back-to-top', themePlugins.backToTop !== false],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptions)(themePlugins, localeOptions, 'tip'),
            ],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptions)(themePlugins, localeOptions, 'warning'),
            ],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptions)(themePlugins, localeOptions, 'danger'),
            ],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptionsForDetails)(themePlugins),
            ],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptionsForCodeGroup)(themePlugins),
            ],
            [
                '@vuepress/container',
                (0, utils_2.resolveContainerPluginOptionsForCodeGroupItem)(themePlugins),
            ],
            ['@vuepress/git', (0, utils_2.resolveGitPluginOptions)(themePlugins, localeOptions)],
            ['@vuepress/medium-zoom', (0, utils_2.resolveMediumZoomPluginOptions)(themePlugins)],
            ['@vuepress/nprogress', themePlugins.nprogress !== false],
            ['@vuepress/palette', { preset: 'sass' }],
            ['@vuepress/prismjs', themePlugins.prismjs !== false],
            ['@vuepress/theme-data', { themeData: localeOptions }],
        ],
    };
};
exports.aliasingTheme = aliasingTheme;
